package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: cy
 * @Date: 2022/5/7
 */
public class CountVideoGroupVo implements Serializable {

    @ApiModelProperty(value = "视频课总数")
    private Integer videoLessonCount;

    @ApiModelProperty(value = "课程总数")
    private Integer lessonCount;

    @ApiModelProperty(value = "付费用户")
    private Integer payingUser;

    private List<VideoLesson> videoLessonList;

    public static class VideoLesson{
        @ApiModelProperty(value = "视屏课组id")
        private Long videoLessonGroupId;

        @ApiModelProperty(value = "视屏课组名称")
        private String lessonName;

        @ApiModelProperty(value = "课时数")
        private Integer lessonNum;

        @ApiModelProperty(value = "付费人数")
        private Integer payCount;

        public Long getVideoLessonGroupId() {
            return videoLessonGroupId;
        }

        public void setVideoLessonGroupId(Long videoLessonGroupId) {
            this.videoLessonGroupId = videoLessonGroupId;
        }

        public String getLessonName() {
            return lessonName;
        }

        public void setLessonName(String lessonName) {
            this.lessonName = lessonName;
        }

        public Integer getLessonNum() {
            return lessonNum;
        }

        public void setLessonNum(Integer lessonNum) {
            this.lessonNum = lessonNum;
        }

        public Integer getPayCount() {
            return payCount;
        }

        public void setPayCount(Integer payCount) {
            this.payCount = payCount;
        }
    }

    public Integer getVideoLessonCount() {
        return videoLessonCount;
    }

    public void setVideoLessonCount(Integer videoLessonCount) {
        this.videoLessonCount = videoLessonCount;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public Integer getPayingUser() {
        return payingUser;
    }

    public void setPayingUser(Integer payingUser) {
        this.payingUser = payingUser;
    }

    public List<VideoLesson> getVideoLessonList() {
        return videoLessonList;
    }

    public void setVideoLessonList(List<VideoLesson> videoLessonList) {
        this.videoLessonList = videoLessonList;
    }
}
